# Copyright 2017 TU Dortmund Computer Science IV
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
function valid = gui_check_curve_syntax(A)
  valid = true;
  for (i = 1:columns(A))
    if (!isreal(A{i}) || rows(A{i}) != 1 || columns(A{i}) != 3)
      valid = false;
      break;
    endif
  endfor
endfunction